# Created by pyp2rpm-3.3.2
%global pypi_name pyjwt

# pytest < 5 needed
%bcond_with test

Name:           python-%{pypi_name}
Version:        2.4.0
Release:        %mkrel 1
Summary:        JSON Web Token implementation in Python
Group:          Development/Python
License:        MIT
URL:            http://github.com/jpadilla/pyjwt
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/PyJWT-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cryptography)
%if %{with test}
BuildRequires:  python3dist(flake8)
BuildRequires:  python3dist(flake8-import-order)
BuildRequires:  python3dist(pep8-naming)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-runner)
%endif

%description
A Python implementation of RFC 7519.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(cryptography) >= 1.4

%description -n python3-%{pypi_name}
A Python implementation of RFC 7519.

%prep
%autosetup -n PyJWT-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%if %{with test}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/jwt
%{python3_sitelib}/PyJWT-%{version}-py?.?.egg-info


%changelog
* Mon Jun 20 2022 papoteur <papoteur> 2.4.0-1.mga8
+ Revision: 1865281
- new 2.4.0 (mga#30485)

* Sun Mar 29 2020 wally <wally> 1.7.1-5.mga8
+ Revision: 1562244
- clean more build time test requires from deps

* Sun Mar 29 2020 wally <wally> 1.7.1-4.mga8
+ Revision: 1562239
- clean build time test requires from deps

* Sun Feb 16 2020 umeabot <umeabot> 1.7.1-3.mga8
+ Revision: 1530985
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 1.7.1-2.mga8
+ Revision: 1438210
- disable tests (pytest < 5 needed)
- rebuild for python3.8

* Sun Jan 06 2019 shlomif <shlomif> 1.7.1-1.mga8
+ Revision: 1350161
- pyp2rpm

